Macaulay2 » Documentation
Packages » Schubert2 :: tautologicalLineBundle
next | previous | forward | backward | up | index | toc

# tautologicalLineBundle -- get the tautological line bundle of a flag bundle or abstract variety

- Usage:
    `tautologicalLineBundle X`

## Description

Returns the tautological line bundle of the variety $X$. In the case of a FlagBundle, this is the line bundle defining the Pl\"ucker embedding.

Used in AbstractSheaf ZZ.

## See also

- AbstractSheaf ZZ -- twist by a divisor class

## Ways to use tautologicalLineBundle:

- `tautologicalLineBundle(AbstractVariety)`
- `tautologicalLineBundle(FlagBundle)`

## For the programmer

The object tautologicalLineBundle is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Schubert2.m2:1857:0.